Skip to main content
GET
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
max_bip44_index_used
TypeScript
const response: Promise<FireblocksResponse<GetMaxBipIndexUsedResponse>> = fireblocks.vaults.getMaxBipIndexUsed(vaultsApiGetMaxBipIndexUsedRequest);
{
  "maxBip44AddressIndexUsed": 42,
  "maxBip44ChangeAddressIndexUsed": 50
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

assetId
string
required

The ID of the asset

Response

OK

maxBip44AddressIndexUsed
integer

The maximum BIP44 address index used for the vault account and asset

Example:

42

maxBip44ChangeAddressIndexUsed
integer

The maximum BIP44 change address index used for the vault account and asset

Example:

50